import 'package:json_annotation/json_annotation.dart';

part 'holidays_settings.g.dart';

@JsonSerializable()
class HolidaysSettings {
  bool dismissedDisclaimer;
  bool showPastEvents;

  HolidaysSettings({
    required this.dismissedDisclaimer,
    required this.showPastEvents,
  });

  factory HolidaysSettings.fromJson(Map<String, dynamic> json) =>
      _$HolidaysSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$HolidaysSettingsToJson(this);
}
